Intermittent leakcheck | default 13708/7948 bytes leaked (CookieSettings, LoadContext, LoadInfo, Mutex, RequestContextService, ...)

NEW
Unassigned

Status

()

defect
P2
normal
2 months ago
5 days ago

People

(Reporter: intermittent-bug-filer, Unassigned, NeedInfo)

Tracking

({intermittent-failure, leave-open, regression})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell disabled])

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

2 months ago
treeherder

#[markdown(off)]
Filed by: cbrindusan [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=234246326&repo=mozilla-central

https://queue.taskcluster.net/v1/task/To-Ip-ZuRcuLXOejYwXJIQ/runs/0/artifacts/public/logs/live_backing.log

[task 2019-03-15T22:40:22.408Z] 22:40:22 INFO - TEST-START | caps/tests/mochitest/test_disableScript.xul

[task 2019-03-15T22:40:22.523Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 125 (0x7fa190034400) [pid = 2979] [serial = 63] [outer = (nil)] [url = https://sub1.test2.example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.524Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 124 (0x7fa190030000) [pid = 2979] [serial = 60] [outer = (nil)] [url = http://sub1.test2.example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.525Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 123 (0x7fa190032000) [pid = 2979] [serial = 62] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.525Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa196fbb800 == 32 [pid = 2979] [id = {5c90e81b-82a7-4072-bc3e-89a724d0bc63}] [url = about:blank]
[task 2019-03-15T22:40:22.526Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa197646000 == 31 [pid = 2979] [id = {bc7fb488-2a25-44b7-8741-66caf9eb68fd}] [url = about:blank]
[task 2019-03-15T22:40:22.527Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa18fd21000 == 30 [pid = 2979] [id = {5d01ac59-71a1-49e7-946d-cdb24d4fc500}] [url = about:blank]
[task 2019-03-15T22:40:22.528Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa19105f000 == 29 [pid = 2979] [id = {8d97784e-d40f-4de2-840f-782cb3349c36}] [url = about:blank]
[task 2019-03-15T22:40:22.529Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa191ff4800 == 28 [pid = 2979] [id = {9b90b30c-a9ba-45a3-bf89-770495059a48}] [url = about:blank]
[task 2019-03-15T22:40:22.530Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa191fef800 == 27 [pid = 2979] [id = {1f7c11cd-e286-4c82-b5ff-ab29ae1d1f35}] [url = about:blank]
[task 2019-03-15T22:40:22.531Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa19763f000 == 26 [pid = 2979] [id = {ea928681-b6e0-4f0c-a9d1-cac7f7d19730}] [url = about:blank]
[task 2019-03-15T22:40:22.531Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa197644000 == 25 [pid = 2979] [id = {2da73742-c29e-44d4-bef0-29e706e408f2}] [url = about:blank]
[task 2019-03-15T22:40:22.532Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa196fb0000 == 24 [pid = 2979] [id = {b05aceff-6e1e-450c-86b6-f79ce01d7f03}] [url = about:blank]
[task 2019-03-15T22:40:22.533Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa196fb0800 == 23 [pid = 2979] [id = {14bda74b-d13e-4221-9417-fb9794e17094}] [url = about:blank]
[task 2019-03-15T22:40:22.534Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa196fae800 == 22 [pid = 2979] [id = {79ad9226-24b3-480d-b285-c50ce2e7bead}] [url = about:blank]
[task 2019-03-15T22:40:22.536Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa196fb5800 == 21 [pid = 2979] [id = {b0ea9b58-f80d-4c0e-ae0c-63c1a03a98ca}] [url = about:blank]
[task 2019-03-15T22:40:22.536Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 122 (0x7fa191204c00) [pid = 2979] [serial = 110] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=grandchild-navigated]
[task 2019-03-15T22:40:22.537Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 121 (0x7fa191559400) [pid = 2979] [serial = 106] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.539Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 120 (0x7fa192aebc00) [pid = 2979] [serial = 109] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=childA-navigated]
[task 2019-03-15T22:40:22.539Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 119 (0x7fa191208c00) [pid = 2979] [serial = 102] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.540Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 118 (0x7fa192ae7400) [pid = 2979] [serial = 108] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.542Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 117 (0x7fa191560400) [pid = 2979] [serial = 104] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.542Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 116 (0x7fa197610400) [pid = 2979] [serial = 48] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.544Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 115 (0x7fa19760d800) [pid = 2979] [serial = 46] [outer = (nil)] [url = http://example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.544Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 114 (0x7fa192ecb400) [pid = 2979] [serial = 42] [outer = (nil)] [url = http://example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.546Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 113 (0x7fa192c4f800) [pid = 2979] [serial = 44] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.547Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 112 (0x7fa192e28000) [pid = 2979] [serial = 41] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.548Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 111 (0x7fa1a4d17800) [pid = 2979] [serial = 58] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.548Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 110 (0x7fa191208000) [pid = 2979] [serial = 55] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.549Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 109 (0x7fa1915b6c00) [pid = 2979] [serial = 74] [outer = (nil)] [url = https://test1.example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.551Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 108 (0x7fa1979b4c00) [pid = 2979] [serial = 49] [outer = (nil)] [url = http://example.org/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.552Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 107 (0x7fa19b8ba400) [pid = 2979] [serial = 51] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.553Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 106 (0x7fa1915b8c00) [pid = 2979] [serial = 76] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.554Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 105 (0x7fa1b8a1c000) [pid = 2979] [serial = 86] [outer = (nil)] [url = http://example.net/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.555Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 104 (0x7fa191554000) [pid = 2979] [serial = 92] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.556Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 103 (0x7fa1a0572000) [pid = 2979] [serial = 88] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.557Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 102 (0x7fa190039800) [pid = 2979] [serial = 69] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.558Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 101 (0x7fa1915c2400) [pid = 2979] [serial = 84] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.559Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 100 (0x7fa197109400) [pid = 2979] [serial = 72] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.562Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa1958d3000 == 20 [pid = 2979] [id = {6ceb4a3d-edd2-443d-b783-63002fc5e0ef}] [url = about:blank]
[task 2019-03-15T22:40:22.563Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa18fd20800 == 19 [pid = 2979] [id = {49ebd06f-c5e2-49c9-ac8c-517f77e9f0a7}] [url = about:blank]
[task 2019-03-15T22:40:22.564Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa18fd27800 == 18 [pid = 2979] [id = {72abd1c9-1279-4d94-b8b5-cff5cc952d7b}] [url = about:blank]
[task 2019-03-15T22:40:22.565Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa19738a000 == 17 [pid = 2979] [id = {e4fa99cf-7d59-45c2-b9eb-6684fd3f39a6}] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=childA-navigated]
[task 2019-03-15T22:40:22.566Z] 22:40:22 INFO - GECKO(2979) | 1552689553224 Marionette TRACE Received observer notification xpcom-will-shutdown
[task 2019-03-15T22:40:22.570Z] 22:40:22 INFO - GECKO(2979) | 1552689553225 Marionette INFO Stopped listening on port 2828
[task 2019-03-15T22:40:22.574Z] 22:40:22 INFO - GECKO(2979) | 1552689553226 Marionette DEBUG Remote service is inactive
[task 2019-03-15T22:40:22.577Z] 22:40:22 INFO - GECKO(2979) | [2979, Main Thread] WARNING: NS_ENSURE_TRUE(mDB) failed: file /builds/worker/workspace/build/src/netwerk/cache/nsDiskCacheDeviceSQL.cpp, line 1285
[task 2019-03-15T22:40:22.577Z] 22:40:22 INFO - GECKO(2979) | [2979, Main Thread] WARNING: Setting user pref after profile shutdown.: file /builds/worker/workspace/build/src/modules/libpref/Preferences.cpp, line 2898
[task 2019-03-15T22:40:22.578Z] 22:40:22 INFO - GECKO(2979) | [2979, Main Thread] WARNING: Setting user pref after profile shutdown.: file /builds/worker/workspace/build/src/modules/libpref/Preferences.cpp, line 2898
[task 2019-03-15T22:40:22.579Z] 22:40:22 INFO - GECKO(2979) | JavaScript error: resource://gre/modules/AsyncShutdown.jsm, line 674: Error: Phase "profile-before-change" is finished, it is too late to register completion condition "JSON store: writing data"
[task 2019-03-15T22:40:22.580Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa198090000 == 16 [pid = 2979] [id = {386262c1-a198-458a-86ef-c2322975767c}] [url = moz-extension://8df139bd-f3c9-4650-a7b5-7012bb35585b/_generated_background_page.html]
[task 2019-03-15T22:40:22.580Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 99 (0x7fa197528a60) [pid = 2979] [serial = 79] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.581Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 98 (0x7fa1995746a0) [pid = 2979] [serial = 15] [outer = (nil)] [url = moz-extension://8df139bd-f3c9-4650-a7b5-7012bb35585b/_generated_background_page.html]
[task 2019-03-15T22:40:22.582Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa191ff6800 == 15 [pid = 2979] [id = {9399fed9-2d04-4c20-84f3-5868b2721b2a}] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=parent]
[task 2019-03-15T22:40:22.582Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa18fd1b000 == 14 [pid = 2979] [id = {3d46b863-24fd-4be4-8a22-121f92f9c323}] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=childB]
[task 2019-03-15T22:40:22.584Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa191ff7800 == 13 [pid = 2979] [id = {f43eaf87-9069-4957-a63d-22740438684f}] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=grandchild-navigated]
[task 2019-03-15T22:40:22.585Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 97 (0x7fa192af1400) [pid = 2979] [serial = 38] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.585Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 96 (0x7fa197527b60) [pid = 2979] [serial = 71] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.586Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 95 (0x7fa1975284c0) [pid = 2979] [serial = 83] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.587Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 94 (0x7fa19751ef20) [pid = 2979] [serial = 68] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.588Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 93 (0x7fa1975523e0) [pid = 2979] [serial = 87] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.589Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 92 (0x7fa197528c40) [pid = 2979] [serial = 91] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.590Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 91 (0x7fa197528880) [pid = 2979] [serial = 75] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.591Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 90 (0x7fa196922c40) [pid = 2979] [serial = 50] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.592Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 89 (0x7fa19751e7a0) [pid = 2979] [serial = 54] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.593Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 88 (0x7fa197527200) [pid = 2979] [serial = 57] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.594Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 87 (0x7fa1933efa60) [pid = 2979] [serial = 40] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.595Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 86 (0x7fa1975a5100) [pid = 2979] [serial = 43] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.596Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 85 (0x7fa197b46200) [pid = 2979] [serial = 47] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.596Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 84 (0x7fa196922a60) [pid = 2979] [serial = 101] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=parent]
[task 2019-03-15T22:40:22.597Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 83 (0x7fa1931eb7a0) [pid = 2979] [serial = 103] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=childA-navigated]
[task 2019-03-15T22:40:22.598Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 82 (0x7fa196f3c2e0) [pid = 2979] [serial = 105] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=childB]
[task 2019-03-15T22:40:22.599Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 81 (0x7fa1931eb5c0) [pid = 2979] [serial = 107] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=grandchild-navigated]
[task 2019-03-15T22:40:22.600Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 80 (0x7fa1975282e0) [pid = 2979] [serial = 61] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.601Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 79 (0x7fa1958f83e0) [pid = 2979] [serial = 64] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.601Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 78 (0x7fa1915bc000) [pid = 2979] [serial = 80] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.612Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 77 (0x7fa1915ba000) [pid = 2979] [serial = 77] [outer = (nil)] [url = file:///]
[task 2019-03-15T22:40:22.613Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 76 (0x7fa19710bc00) [pid = 2979] [serial = 22] [outer = (nil)] [url = moz-extension://8df139bd-f3c9-4650-a7b5-7012bb35585b/_generated_background_page.html]
[task 2019-03-15T22:40:22.614Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 75 (0x7fa1915c0c00) [pid = 2979] [serial = 81] [outer = (nil)] [url = file:///]
[task 2019-03-15T22:40:22.615Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 74 (0x7fa190037c00) [pid = 2979] [serial = 66] [outer = (nil)] [url = file:///]
[task 2019-03-15T22:40:22.615Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 73 (0x7fa19710cc00) [pid = 2979] [serial = 85] [outer = (nil)] [url = file:///]
[task 2019-03-15T22:40:22.616Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 72 (0x7fa1a4d20000) [pid = 2979] [serial = 59] [outer = (nil)] [url = file:///]
[task 2019-03-15T22:40:22.617Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 71 (0x7fa19bda0400) [pid = 2979] [serial = 73] [outer = (nil)] [url = file:///]
[task 2019-03-15T22:40:22.618Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 70 (0x7fa191551400) [pid = 2979] [serial = 89] [outer = (nil)] [url = file:///]
[task 2019-03-15T22:40:22.619Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 69 (0x7fa19d174400) [pid = 2979] [serial = 52] [outer = (nil)] [url = file:///]
[task 2019-03-15T22:40:22.619Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 68 (0x7fa192ed2c00) [pid = 2979] [serial = 45] [outer = (nil)] [url = file:///]
[task 2019-03-15T22:40:22.620Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa18fd14000 == 12 [pid = 2979] [id = {58b0ae68-b72a-4946-95c3-f2f2b1cd264b}] [url = http://example.net/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.621Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 67 (0x7fa1915c0000) [pid = 2979] [serial = 78] [outer = (nil)] [url = http://sub1.test1.example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.622Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 66 (0x7fa192c56000) [pid = 2979] [serial = 39] [outer = (nil)] [url = http://example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.622Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 65 (0x7fa19003dc00) [pid = 2979] [serial = 70] [outer = (nil)] [url = http://test1.example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.623Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 64 (0x7fa196fd3800) [pid = 2979] [serial = 82] [outer = (nil)] [url = https://sub1.test1.example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.624Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 63 (0x7fa196fd1800) [pid = 2979] [serial = 67] [outer = (nil)] [url = http://example.net/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.625Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 62 (0x7fa19d17a800) [pid = 2979] [serial = 53] [outer = (nil)] [url = http://test2.example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.626Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 61 (0x7fa191557800) [pid = 2979] [serial = 90] [outer = (nil)] [url = http://example.net/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.627Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 60 (0x7fa19d17dc00) [pid = 2979] [serial = 56] [outer = (nil)] [url = https://test2.example.com/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.628Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa1983b9000 == 11 [pid = 2979] [id = {ec8be025-4dfb-4ae2-a126-3bd0a72fc1f2}] [url = about:blank]
[task 2019-03-15T22:40:22.630Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 59 (0x7fa196ba5a60) [pid = 2979] [serial = 31] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.631Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa19737c800 == 10 [pid = 2979] [id = {c4319e34-bce0-4d5a-beda-0c6f8398db2f}] [url = chrome://mochikit/content/harness.xul]
[task 2019-03-15T22:40:22.632Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 58 (0x7fa1975db980) [pid = 2979] [serial = 17] [outer = (nil)] [url = chrome://mochikit/content/harness.xul]
[task 2019-03-15T22:40:22.633Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa19bd08000 == 9 [pid = 2979] [id = {61a4d09d-5f7a-43ca-bb8a-79303a310e5a}] [url = chrome://browser/content/browser.xul]
[task 2019-03-15T22:40:22.634Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 57 (0x7fa192c50c00) [pid = 2979] [serial = 136] [outer = (nil)] [url = chrome://mochikit/content/tests/SimpleTest/iframe-between-tests.html]
[task 2019-03-15T22:40:22.635Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 56 (0x7fa197104c00) [pid = 2979] [serial = 126] [outer = (nil)] [url = http://sub1.test1.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.636Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 55 (0x7fa1a05f6880) [pid = 2979] [serial = 1] [outer = (nil)] [url = chrome://browser/content/browser.xul]
[task 2019-03-15T22:40:22.638Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 54 (0x7fa196914400) [pid = 2979] [serial = 127] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.639Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 53 (0x7fa19858bc00) [pid = 2979] [serial = 128] [outer = (nil)] [url = https://test2.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.640Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 52 (0x7fa198064c00) [pid = 2979] [serial = 129] [outer = (nil)] [url = https://example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.641Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 51 (0x7fa198592000) [pid = 2979] [serial = 130] [outer = (nil)] [url = http://test1.example.org/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.643Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 50 (0x7fa192aea800) [pid = 2979] [serial = 131] [outer = (nil)] [url = http://test1.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.644Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 49 (0x7fa198589000) [pid = 2979] [serial = 132] [outer = (nil)] [url = http://example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.645Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 48 (0x7fa196b3ac00) [pid = 2979] [serial = 133] [outer = (nil)] [url = http://test2.example.org/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.650Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 47 (0x7fa191210800) [pid = 2979] [serial = 30] [outer = (nil)] [url = chrome://mochikit/content/harness.xul]
[task 2019-03-15T22:40:22.651Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 46 (0x7fa191559c00) [pid = 2979] [serial = 94] [outer = (nil)] [url = chrome://mochitests/content/chrome/caps/tests/mochitest/test_disableScript.xul]
[task 2019-03-15T22:40:22.652Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 45 (0x7fa191555400) [pid = 2979] [serial = 93] [outer = (nil)] [url = chrome://mochikit/content/tests/SimpleTest/iframe-between-tests.html]
[task 2019-03-15T22:40:22.653Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 44 (0x7fa192aee000) [pid = 2979] [serial = 36] [outer = (nil)] [url = chrome://mochitests/content/chrome/caps/tests/mochitest/test_bug995943.xul]
[task 2019-03-15T22:40:22.654Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 43 (0x7fa192ae7800) [pid = 2979] [serial = 35] [outer = (nil)] [url = chrome://mochikit/content/tests/SimpleTest/iframe-between-tests.html]
[task 2019-03-15T22:40:22.655Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 42 (0x7fa198062400) [pid = 2979] [serial = 33] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.657Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 41 (0x7fa192af2800) [pid = 2979] [serial = 29] [outer = (nil)] [url = http://mochi.test:8888/redirect.html]
[task 2019-03-15T22:40:22.658Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 40 (0x7fa18fd3ca60) [pid = 2979] [serial = 95] [outer = (nil)] [url = https://sub1.test1.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.659Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 39 (0x7fa18fd86020) [pid = 2979] [serial = 96] [outer = (nil)] [url = chrome://mochitests/content/chrome/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.660Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa18fd13800 == 8 [pid = 2979] [id = {5d4b4cfe-6701-442d-bade-8eeaf283e7ed}] [url = https://sub1.test1.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.661Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa197389000 == 7 [pid = 2979] [id = {4bf0dafa-e930-454a-a1e1-e404b8fd9b97}] [url = chrome://mochitests/content/chrome/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.662Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 38 (0x7fa19bda3400) [pid = 2979] [serial = 135] [outer = (nil)] [url = https://sub1.test1.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.664Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 37 (0x7fa19b8b9800) [pid = 2979] [serial = 134] [outer = (nil)] [url = http://sub1.test2.example.org/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.665Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 36 (0x7fa197611800) [pid = 2979] [serial = 125] [outer = (nil)] [url = http://test2.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.666Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 35 (0x7fa19760bc00) [pid = 2979] [serial = 124] [outer = (nil)] [url = https://sub1.test1.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.667Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 34 (0x7fa196fdac00) [pid = 2979] [serial = 123] [outer = (nil)] [url = http://sub1.test2.example.org/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.668Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 33 (0x7fa197108c00) [pid = 2979] [serial = 122] [outer = (nil)] [url = http://test2.example.org/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.669Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 32 (0x7fa196fdcc00) [pid = 2979] [serial = 121] [outer = (nil)] [url = http://example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.670Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 31 (0x7fa192af0800) [pid = 2979] [serial = 120] [outer = (nil)] [url = http://test1.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.672Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 30 (0x7fa192ed1400) [pid = 2979] [serial = 119] [outer = (nil)] [url = http://test1.example.org/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.673Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 29 (0x7fa192ec4800) [pid = 2979] [serial = 118] [outer = (nil)] [url = https://example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.674Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 28 (0x7fa192e23c00) [pid = 2979] [serial = 117] [outer = (nil)] [url = https://test2.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.675Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 27 (0x7fa192c55000) [pid = 2979] [serial = 116] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.677Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 26 (0x7fa192c53800) [pid = 2979] [serial = 115] [outer = (nil)] [url = http://sub1.test1.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.678Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 25 (0x7fa192c4d400) [pid = 2979] [serial = 114] [outer = (nil)] [url = http://test2.example.com/tests/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.679Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 24 (0x7fa192608000) [pid = 2979] [serial = 113] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=rootframe]
[task 2019-03-15T22:40:22.680Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 23 (0x7fa1915b9c00) [pid = 2979] [serial = 112] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=rootframe]
[task 2019-03-15T22:40:22.681Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 22 (0x7fa1915bd000) [pid = 2979] [serial = 111] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=rootframe]
[task 2019-03-15T22:40:22.683Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 21 (0x7fa1915b6400) [pid = 2979] [serial = 99] [outer = (nil)] [url = http://www.example.com/tests/caps/tests/mochitest/file_disableScript.html?name=rootframe]
[task 2019-03-15T22:40:22.684Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 20 (0x7fa1915bf800) [pid = 2979] [serial = 100] [outer = (nil)] [url = chrome://mochitests/content/chrome/caps/tests/mochitest/file_disableScript.html]
[task 2019-03-15T22:40:22.685Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 19 (0x7fa19155dc00) [pid = 2979] [serial = 98] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.686Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 18 (0x7fa19155c000) [pid = 2979] [serial = 97] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.691Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 17 (0x7fa191207800) [pid = 2979] [serial = 137] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.691Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa1969d0800 == 6 [pid = 2979] [id = {3099dda0-9bd1-4ad7-9352-0ed16c7af868}] [url = resource://gre-resources/hiddenWindow.html]
[task 2019-03-15T22:40:22.691Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 16 (0x7fa1969226a0) [pid = 2979] [serial = 25] [outer = (nil)] [url = resource://gre-resources/hiddenWindow.html]
[task 2019-03-15T22:40:22.691Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa199321800 == 5 [pid = 2979] [id = {83651398-384f-4c39-9a22-29a6c06f27d3}] [url = chrome://extensions/content/dummy.xul]
[task 2019-03-15T22:40:22.691Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 15 (0x7fa1980f7a60) [pid = 2979] [serial = 13] [outer = (nil)] [url = moz-extension://3aee6939-808c-43df-a065-0e3df45e0508/_generated_background_page.html]
[task 2019-03-15T22:40:22.692Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa19808e000 == 4 [pid = 2979] [id = {2ad8b6b3-5a77-4e42-b4b6-f485f7e8b547}] [url = moz-extension://3aee6939-808c-43df-a065-0e3df45e0508/_generated_background_page.html]
[task 2019-03-15T22:40:22.692Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 14 (0x7fa18fd3c880) [pid = 2979] [serial = 37] [outer = (nil)] [url = http://example.net/tests/js/xpconnect/tests/mochitest/file_empty.html]
[task 2019-03-15T22:40:22.692Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa198897800 == 3 [pid = 2979] [id = {a49f1acc-00f3-49a9-b89e-c63a50c80d3f}] [url = about:blank]
[task 2019-03-15T22:40:22.692Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 13 (0x7fa19805d800) [pid = 2979] [serial = 6] [outer = (nil)] [url = chrome://extensions/content/dummy.xul]
[task 2019-03-15T22:40:22.693Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 12 (0x7fa1995735c0) [pid = 2979] [serial = 4] [outer = (nil)] [url = chrome://extensions/content/dummy.xul]
[task 2019-03-15T22:40:22.693Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa198087800 == 2 [pid = 2979] [id = {f6cad360-ed32-4184-9683-bf7ea0548eb4}] [url = moz-extension://309853bb-eabe-4315-a779-eef04d9b5526/_generated_background_page.html]
[task 2019-03-15T22:40:22.693Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 11 (0x7fa1980f6020) [pid = 2979] [serial = 7] [outer = (nil)] [url = moz-extension://309853bb-eabe-4315-a779-eef04d9b5526/_generated_background_page.html]
[task 2019-03-15T22:40:22.693Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa19808a000 == 1 [pid = 2979] [id = {8aeef4ca-4fdf-4ac2-a925-0f54c4f74814}] [url = moz-extension://84882766-a6e6-423b-a288-65dece5e0d4e/_generated_background_page.html]
[task 2019-03-15T22:40:22.694Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 10 (0x7fa1980f6f20) [pid = 2979] [serial = 9] [outer = (nil)] [url = moz-extension://84882766-a6e6-423b-a288-65dece5e0d4e/_generated_background_page.html]
[task 2019-03-15T22:40:22.694Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 9 (0x7fa1980f74c0) [pid = 2979] [serial = 11] [outer = (nil)] [url = moz-extension://cc2d4740-6db1-463e-bec6-cf1e0665ecb3/_generated_background_page.html]
[task 2019-03-15T22:40:22.694Z] 22:40:22 INFO - GECKO(2979) | --DOCSHELL 0x7fa19808c000 == 0 [pid = 2979] [id = {be062ac4-8e79-407f-9a1c-c6d93d662a8a}] [url = moz-extension://cc2d4740-6db1-463e-bec6-cf1e0665ecb3/_generated_background_page.html]
[task 2019-03-15T22:40:22.694Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 8 (0x7fa19710ec00) [pid = 2979] [serial = 23] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.695Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 7 (0x7fa1995733e0) [pid = 2979] [serial = 3] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.695Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 6 (0x7fa19b8c2c00) [pid = 2979] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2019-03-15T22:40:22.695Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 5 (0x7fa197108800) [pid = 2979] [serial = 20] [outer = (nil)] [url = moz-extension://cc2d4740-6db1-463e-bec6-cf1e0665ecb3/_generated_background_page.html]
[task 2019-03-15T22:40:22.695Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 4 (0x7fa197107400) [pid = 2979] [serial = 19] [outer = (nil)] [url = moz-extension://84882766-a6e6-423b-a288-65dece5e0d4e/_generated_background_page.html]
[task 2019-03-15T22:40:22.696Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 3 (0x7fa197106000) [pid = 2979] [serial = 18] [outer = (nil)] [url = moz-extension://309853bb-eabe-4315-a779-eef04d9b5526/_generated_background_page.html]
[task 2019-03-15T22:40:22.696Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 2 (0x7fa197109c00) [pid = 2979] [serial = 21] [outer = (nil)] [url = moz-extension://3aee6939-808c-43df-a065-0e3df45e0508/_generated_background_page.html]
[task 2019-03-15T22:40:22.696Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 1 (0x7fa196b2fc00) [pid = 2979] [serial = 28] [outer = (nil)] [url = resource://gre-resources/hiddenWindow.html]
[task 2019-03-15T22:40:22.696Z] 22:40:22 INFO - GECKO(2979) | --DOMWINDOW == 0 (0x7fa191210000) [pid = 2979] [serial = 34] [outer = (nil)] [url = chrome://mochitests/content/chrome/caps/tests/mochitest/test_addonMayLoad.html]
[task 2019-03-15T22:40:22.696Z] 22:40:22 INFO - GECKO(2979) | [2979, Main Thread] ###!!! ASSERTION: 1 dynamic atom(s) with non-zero refcount: [System Principal]: 'nonZeroRefcountAtomsCount == 0', file /builds/worker/workspace/build/src/xpcom/ds/nsAtomTable.cpp, line 446
[task 2019-03-15T22:40:22.697Z] 22:40:22 INFO - GECKO(2979) | #01: nsAtomTable::GC(GCKind) [xpcom/threads/Mutex.h:168]
[task 2019-03-15T22:40:22.697Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.697Z] 22:40:22 INFO - GECKO(2979) | #02: NS_ShutdownAtomTable() [xpcom/ds/nsAtomTable.cpp:485]
[task 2019-03-15T22:40:22.697Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.698Z] 22:40:22 INFO - GECKO(2979) | #03: mozilla::ShutdownXPCOM(nsIServiceManager*) [xpcom/build/XPCOMInit.cpp:803]
[task 2019-03-15T22:40:22.698Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.698Z] 22:40:22 INFO - GECKO(2979) | #04: ScopedXPCOMStartup::~ScopedXPCOMStartup() [toolkit/xre/nsAppRunner.cpp:1244]
[task 2019-03-15T22:40:22.698Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.699Z] 22:40:22 INFO - GECKO(2979) | #05: mozilla::UniquePtr<ScopedXPCOMStartup, mozilla::DefaultDelete<ScopedXPCOMStartup> >::reset(ScopedXPCOMStartup*) [memory/mozalloc/mozalloc.h:151]
[task 2019-03-15T22:40:22.699Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.699Z] 22:40:22 INFO - GECKO(2979) | #06: XREMain::XRE_main(int, char**, mozilla::BootstrapConfig const&) [toolkit/xre/nsAppRunner.cpp:4763]
[task 2019-03-15T22:40:22.699Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.700Z] 22:40:22 INFO - GECKO(2979) | #07: XRE_main(int, char**, mozilla::BootstrapConfig const&) [toolkit/xre/nsAppRunner.cpp:4811]
[task 2019-03-15T22:40:22.700Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.700Z] 22:40:22 INFO - GECKO(2979) | #08: _fini
[task 2019-03-15T22:40:22.700Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.701Z] 22:40:22 INFO - GECKO(2979) | #09: libc.so.6 + 0x20830
[task 2019-03-15T22:40:22.701Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.701Z] 22:40:22 INFO - GECKO(2979) | #10: _fini
[task 2019-03-15T22:40:22.702Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.702Z] 22:40:22 INFO - GECKO(2979) | [2979, Main Thread] WARNING: OOPDeinit() without successful OOPInit(): file /builds/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 3121
[task 2019-03-15T22:40:22.702Z] 22:40:22 INFO - GECKO(2979) | Leaked URLs:
[task 2019-03-15T22:40:22.703Z] 22:40:22 INFO - GECKO(2979) | resource://app/update.locale
[task 2019-03-15T22:40:22.703Z] 22:40:22 INFO - GECKO(2979) | file:///builds/worker/workspace/build/application/firefox/browser/omni.ja
[task 2019-03-15T22:40:22.703Z] 22:40:22 INFO - GECKO(2979) | x:///update.locale
[task 2019-03-15T22:40:22.703Z] 22:40:22 INFO - GECKO(2979) | resource://gre/update.locale
[task 2019-03-15T22:40:22.704Z] 22:40:22 INFO - GECKO(2979) | file:///builds/worker/workspace/build/application/firefox/omni.ja
[task 2019-03-15T22:40:22.704Z] 22:40:22 INFO - GECKO(2979) | x:///update.locale
[task 2019-03-15T22:40:22.704Z] 22:40:22 INFO - GECKO(2979) | nsStringStats
[task 2019-03-15T22:40:22.704Z] 22:40:22 INFO - GECKO(2979) | => mAllocCount: 124678
[task 2019-03-15T22:40:22.705Z] 22:40:22 INFO - GECKO(2979) | => mReallocCount: 0
[task 2019-03-15T22:40:22.705Z] 22:40:22 INFO - GECKO(2979) | => mFreeCount: 124661 -- LEAKED 17 !!!
[task 2019-03-15T22:40:22.705Z] 22:40:22 INFO - GECKO(2979) | => mShareCount: 130453
[task 2019-03-15T22:40:22.705Z] 22:40:22 INFO - GECKO(2979) | => mAdoptCount: 3905
[task 2019-03-15T22:40:22.705Z] 22:40:22 INFO - GECKO(2979) | => mAdoptFreeCount: 4509
[task 2019-03-15T22:40:22.705Z] 22:40:22 INFO - GECKO(2979) | => Process ID: 2979, Thread ID: 140332588439360
[task 2019-03-15T22:40:22.705Z] 22:40:22 INFO - TEST-INFO | Main app process: exit 0
[task 2019-03-15T22:40:22.706Z] 22:40:22 INFO - runtests.py | Application ran for: 0:01:37.769921
[task 2019-03-15T22:40:22.707Z] 22:40:22 INFO - zombiecheck | Reading PID log: /tmp/tmpuuaMCLpidlog
[task 2019-03-15T22:40:22.707Z] 22:40:22 INFO - ==> process 2979 launched child process 3001
[task 2019-03-15T22:40:22.707Z] 22:40:22 INFO - zombiecheck | Checking for orphan process with PID: 3001
[task 2019-03-15T22:40:22.707Z] 22:40:22 INFO - Stopping web server
[task 2019-03-15T22:40:22.727Z] 22:40:22 INFO - Stopping web socket server
[task 2019-03-15T22:40:22.743Z] 22:40:22 INFO - Stopping ssltunnel
[task 2019-03-15T22:40:22.767Z] 22:40:22 INFO - leakcheck | Processing log file /tmp/tmpf7hxnC.mozrunner/runtests_leaks.log
[task 2019-03-15T22:40:22.767Z] 22:40:22 INFO - TEST-INFO | leakcheck | default process: leak threshold set at 0 bytes
[task 2019-03-15T22:40:22.767Z] 22:40:22 INFO - TEST-INFO | leakcheck | plugin process: leak threshold set at 0 bytes
[task 2019-03-15T22:40:22.768Z] 22:40:22 INFO - TEST-INFO | leakcheck | tab process: leak threshold set at 0 bytes
[task 2019-03-15T22:40:22.768Z] 22:40:22 INFO - TEST-INFO | leakcheck | gmplugin process: leak threshold set at 20000 bytes
[task 2019-03-15T22:40:22.768Z] 22:40:22 INFO - TEST-INFO | leakcheck | gpu process: leak threshold set at 0 bytes
[task 2019-03-15T22:40:22.768Z] 22:40:22 INFO - TEST-INFO | leakcheck | rdd process: leak threshold set at 400 bytes
[task 2019-03-15T22:40:22.768Z] 22:40:22 INFO - TEST-INFO | leakcheck | vr process: leak threshold set at 0 bytes
[task 2019-03-15T22:40:22.769Z] 22:40:22 INFO - TEST-INFO | leakcheck | socket process: leak threshold set at 0 bytes
[task 2019-03-15T22:40:22.769Z] 22:40:22 INFO - leakcheck | Processing leak log file /tmp/tmpf7hxnC.mozrunner/runtests_leaks.log
[task 2019-03-15T22:40:22.769Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.769Z] 22:40:22 INFO - == BloatView: ALL (cumulative) LEAK AND BLOAT STATISTICS, default process 2979
[task 2019-03-15T22:40:22.770Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.770Z] 22:40:22 INFO - |<----------------Class--------------->|<-----Bytes------>|<----Objects---->|
[task 2019-03-15T22:40:22.771Z] 22:40:22 INFO - | | Per-Inst Leaked| Total Rem|
[task 2019-03-15T22:40:22.772Z] 22:40:22 INFO - 0 |TOTAL | 38 13708| 7855312 80|
[task 2019-03-15T22:40:22.773Z] 22:40:22 INFO - 185 |CookieSettings | 48 96| 68 2|
[task 2019-03-15T22:40:22.775Z] 22:40:22 INFO - 456 |LoadContext | 104 208| 12 2|
[task 2019-03-15T22:40:22.776Z] 22:40:22 INFO - 458 |LoadInfo | 392 784| 1093 2|
[task 2019-03-15T22:40:22.777Z] 22:40:22 INFO - 504 |Mutex | 72 288| 4519 4|
[task 2019-03-15T22:40:22.778Z] 22:40:22 INFO - 741 |RequestContextService | 80 80| 1 1|
[task 2019-03-15T22:40:22.780Z] 22:40:22 INFO - 831 |StartupCache | 168 168| 2 1|
[task 2019-03-15T22:40:22.780Z] 22:40:22 INFO - 833 |StartupCacheListener | 24 24| 2 1|
[task 2019-03-15T22:40:22.786Z] 22:40:22 INFO - 1222 |nsAuthURLParser | 24 24| 2 1|
[task 2019-03-15T22:40:22.787Z] 22:40:22 INFO - 1356 |nsExternalHelperAppService | 88 88| 1 1|
[task 2019-03-15T22:40:22.787Z] 22:40:22 INFO - 1401 |nsHashPropertyBag | 72 144| 935 2|
[task 2019-03-15T22:40:22.788Z] 22:40:22 INFO - 1474 |nsJAR | 160 320| 25 2|
[task 2019-03-15T22:40:22.789Z] 22:40:22 INFO - 1475 |nsJARChannel | 360 720| 838 2|
[task 2019-03-15T22:40:22.795Z] 22:40:22 INFO - 1482 |nsJARProtocolHandler | 56 56| 1 1|
[task 2019-03-15T22:40:22.797Z] 22:40:22 INFO - 1483 |nsJARURI | 80 160| 2434 2|
[task 2019-03-15T22:40:22.797Z] 22:40:22 INFO - 1487 |nsJSPrincipals | 24 24| 2869 1|
[task 2019-03-15T22:40:22.798Z] 22:40:22 INFO - 1496 |nsLoadGroup | 208 416| 102 2|
[task 2019-03-15T22:40:22.799Z] 22:40:22 INFO - 1497 |nsLocalFile | 192 1344| 4388 7|
[task 2019-03-15T22:40:22.799Z] 22:40:22 INFO - 1534 |nsNoAuthURLParser | 24 24| 1 1|
[task 2019-03-15T22:40:22.800Z] 22:40:22 INFO - 1541 |nsObserverService | 80 80| 1 1|
[task 2019-03-15T22:40:22.801Z] 22:40:22 INFO - 1614 |nsStandardURL | 248 1488| 8779 6|
[task 2019-03-15T22:40:22.801Z] 22:40:22 INFO - 1624 |nsStreamTransportService | 136 136| 1 1|
[task 2019-03-15T22:40:22.802Z] 22:40:22 INFO - 1625 |nsStringBuffer | 12 204| 124678 17|
[task 2019-03-15T22:40:22.802Z] 22:40:22 INFO - 1667 |nsTArray_base | 8 120| 3136849 15|
[task 2019-03-15T22:40:22.803Z] 22:40:22 INFO - 1777 |nsZipArchive | 2144 6432| 34 3|
[task 2019-03-15T22:40:22.803Z] 22:40:22 INFO - 1780 |nsZipHandle | 112 112| 34 1|
[task 2019-03-15T22:40:22.804Z] 22:40:22 INFO - 1782 |nsZipReaderCache | 168 168| 1 1|
[task 2019-03-15T22:40:22.804Z] 22:40:22 INFO -
[task 2019-03-15T22:40:22.805Z] 22:40:22 INFO - nsTraceRefcnt::DumpStatistics: 1808 entries
[task 2019-03-15T22:40:22.805Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 2 CookieSettings
[task 2019-03-15T22:40:22.806Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 2 LoadContext
[task 2019-03-15T22:40:22.806Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 2 LoadInfo
[task 2019-03-15T22:40:22.807Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 4 Mutex
[task 2019-03-15T22:40:22.807Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 RequestContextService
[task 2019-03-15T22:40:22.808Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 StartupCache
[task 2019-03-15T22:40:22.808Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 StartupCacheListener
[task 2019-03-15T22:40:22.809Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 nsAuthURLParser
[task 2019-03-15T22:40:22.809Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 nsExternalHelperAppService
[task 2019-03-15T22:40:22.810Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 2 nsHashPropertyBag
[task 2019-03-15T22:40:22.811Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 2 nsJAR
[task 2019-03-15T22:40:22.812Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 2 nsJARChannel
[task 2019-03-15T22:40:22.812Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 nsJARProtocolHandler
[task 2019-03-15T22:40:22.813Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 2 nsJARURI
[task 2019-03-15T22:40:22.814Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 nsJSPrincipals
[task 2019-03-15T22:40:22.815Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 2 nsLoadGroup
[task 2019-03-15T22:40:22.816Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 7 nsLocalFile
[task 2019-03-15T22:40:22.817Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 nsNoAuthURLParser
[task 2019-03-15T22:40:22.817Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 nsObserverService
[task 2019-03-15T22:40:22.818Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 6 nsStandardURL
[task 2019-03-15T22:40:22.819Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 nsStreamTransportService
[task 2019-03-15T22:40:22.820Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 17 nsStringBuffer
[task 2019-03-15T22:40:22.821Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 15 nsTArray_base
[task 2019-03-15T22:40:22.822Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 3 nsZipArchive
[task 2019-03-15T22:40:22.823Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 nsZipHandle
[task 2019-03-15T22:40:22.823Z] 22:40:22 INFO - TEST-INFO | leakcheck | default leaked 1 nsZipReaderCache
[task 2019-03-15T22:40:22.824Z] 22:40:22 INFO - TEST-UNEXPECTED-FAIL | leakcheck | default 13708 bytes leaked (CookieSettings, LoadContext, LoadInfo, Mutex, RequestContextService, ...)

Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Summary: Intermittent leakcheck | default 13708 bytes leaked (CookieSettings, LoadContext, LoadInfo, Mutex, RequestContextService, ...) → Intermittent leakcheck | default 13708/7948 bytes leaked (CookieSettings, LoadContext, LoadInfo, Mutex, RequestContextService, ...)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)

This has failed 115 times in the last 7 days, all failures on linux32 debug, and is now on the disable recommended bugs list: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-04&endday=2019-04-11&tree=all&bug=1535792

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=239754576&repo=autoland&lineNumber=16337

Selena, could you please redirect this to someone who can take a look at it? Thank you.

Flags: needinfo?(sdeckelmann)
Comment hidden (Intermittent Failures Robot)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)

Looked in 10 failure logs and editor/libeditor/tests/browserscope/test_richtext2.html is the leaking test.

Created a disabling patch.

Comment hidden (Intermittent Failures Robot)

Nhi - can you raise this with the necko team? Thanks

Flags: needinfo?(sdeckelmann) → needinfo?(nhnguyen)
Priority: P5 → P2

This mentions cookieSettings and it has started right about when you landed cookiesetting code.
baku, can you take a look?

Flags: needinfo?(amarchesini)

Updated

a month ago
Flags: needinfo?(nhnguyen)
See Also: → 1533124

Updated

28 days ago
Attachment #9058112 - Attachment is obsolete: true

Comment 19

28 days ago

Updated the previous patch with missing bug# and parenthesis.

Dragana, should we land the disabled patch until there is another resolution for this bug?

Flags: needinfo?(dd.mozilla)
Comment hidden (Intermittent Failures Robot)

Comment 21

27 days ago
Pushed by dvarga@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/2ef93e029730
Disabled test test_richtext2.html on Linux32 debug r=jmaher

Comment 22

27 days ago
Pushed by dvarga@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/821c7955f890
disabled test_richtext2.html on linux32 debug r=jmaher
Attachment #9058112 - Attachment is obsolete: false

Comment 23

27 days ago
Backout by dvarga@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/b537bf72234a
Backed out changeset 2ef93e029730 for ParseError: could not parse: (os == 'android') || ((debug && (os == 'linux') && (bits == 32)). On a CLOSED TREE
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Attachment #9059706 - Attachment is obsolete: true
Comment hidden (Intermittent Failures Robot)
Flags: needinfo?(amarchesini)
You need to log in before you can comment on or make changes to this bug.